<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace User\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 登录账户名修改历史
 * @ORM\Entity(repositoryClass="User\Repository\UserNameLogRepository")
 * @ORM\Table(name="dbcart_user_name_log")
 */
class UserNameLog extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="name_log_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $nameLogId;

    /**
     * 新的登录账户名称
     * @ORM\Column(name="edit_user_name", type="string", length=100)
     */
    private $editUserName;

    /**
     * 编辑时间
     * @ORM\Column(name="edit_time", type="integer", length=10)
     */
    private $editTime;

    /**
     * 会员id
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * @return mixed
     */
    public function getNameLogId()
    {
        return $this->nameLogId;
    }

    /**
     * @param mixed $nameLogId
     */
    public function setNameLogId($nameLogId): void
    {
        $this->nameLogId = $nameLogId;
    }

    /**
     * @return mixed
     */
    public function getEditUserName()
    {
        return $this->editUserName;
    }

    /**
     * @param mixed $editUserName
     */
    public function setEditUserName($editUserName): void
    {
        $this->editUserName = $editUserName;
    }

    /**
     * @return mixed
     */
    public function getEditTime()
    {
        return $this->editTime;
    }

    /**
     * @param mixed $editTime
     */
    public function setEditTime($editTime): void
    {
        $this->editTime = $editTime;
    }

    /**
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param mixed $userId
     */
    public function setUserId($userId): void
    {
        $this->userId = $userId;
    }
}