<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace User\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use User\Entity\IntegralRule;
use User\Entity\IntegralRuleContent;

class IntegralRuleRepository extends EntityRepository
{
    /**
     * 积分规则
     * @param $integralRuleState
     * @return float|int|mixed|string
     */
    public function findAllIntegralRule($integralRuleState = false)
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('i', 'c.integralRuleTitle', 'c.integralRuleInfo', 'c.languageCode')
            ->from(IntegralRule::class, 'i')
            ->leftJoin(IntegralRuleContent::class, 'c', Join::WITH, 'i.integralRuleId=c.integralRuleId')
            ->where('c.languageCode = :languageCode')->setParameter('languageCode', SHOP_FONT_LANGUAGE)
            ->orderBy('i.integralRuleId', 'DESC');

        if ($integralRuleState) $query->andWhere('i.integralRuleState = :integralRuleState')->setParameter('integralRuleState', 1);

        return $query->getQuery()->getResult();
    }
}